Welcome to Help

Use the Help system to learn more about Windows 98.

  • Find answers to your questions.
  • Browse the online version of the Getting Started book.
  • Connect to the Web to get software updates.
  • Troubleshoot your system.


Overview of Hardware Inf Installer

Hardware Inf Installer (Infinst) allows you to add new hardware drivers to Windows 98 Setup. When you install Windows 98, Setup automatically detects all hardware and installs the necessary drivers. However, you may purchase new hardware whose drivers are not included in Windows 98.

This program allows you to add new hardware infs and the associated drivers to a Windows 98 Setup share.

To install a new hardware driver, see Related Topics.


To add a new hardware driver to setup.exe

  1. Insert the Windows 98 CD-ROM. The Windows 98 CD-ROM window will appear.
  2. Click Browse This CD to display the contents of the CD-ROM.
  3. Double-click tools, double-click admin, double-click infinst, and then double-click the Infinst icon.
  4. Insert the CD-ROM or floppy disk that contains the new hardware driver.
  5. In the Inf Installer dialog box, type the path of the new hardware inf in Hardware Inf to add to Windows 98 Setup.
  6. Type the location of the Windows 98 setup.exe in Windows 98 setup.exe.
  7. Click Add Inf to add the new hardware driver. A status dialog box will appear displaying the progress of the installation.

Notes

  • You must have write permissions to the Windows 98 setup.exe you want to add the inf to.
  • Adding infs and drivers to a setup.exe that has already been used to setup computers will cause discrepancies between the files on the computers and the Windows 98 setup files. If these computers then install a device, it may result in unresponsive hardware. It is best to only run setup when you have completed adding all infs.
  • You can also use the Browse button to find the location of the new hardware driver and setup.exe.
  • Once you have added the hardware driver to setup.exe, you can install your new hardware.


Legal Information

Microsoft Windows 98

Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted. Complying with all applicable copyright laws is the responsibility of the user. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 1998 Microsoft Corporation. All rights reserved.

Microsoft, ActiveX, BackOffice, MS, MS-DOS, MSN, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

Other product and company names mentioned herein may be the trademarks of their respective owners.